eeb1c23670
- git snapshot
25 lines
913 B
Diff
25 lines
913 B
Diff
From 2f0f1b0bbc0aae6b5f54c64d911eb6b09030798d Mon Sep 17 00:00:00 2001
|
|
From: Harald Hoyer <harald@redhat.com>
|
|
Date: Wed, 29 Oct 2014 13:39:28 +0100
|
|
Subject: [PATCH] dracut-functions.sh: fixup for 34a1ec6 for non-local mode
|
|
|
|
---
|
|
dracut-functions.sh | 4 +++-
|
|
1 file changed, 3 insertions(+), 1 deletion(-)
|
|
|
|
diff --git a/dracut-functions.sh b/dracut-functions.sh
|
|
index 3ad8d81..b43b766 100755
|
|
--- a/dracut-functions.sh
|
|
+++ b/dracut-functions.sh
|
|
@@ -741,7 +741,9 @@ if ! [[ $DRACUT_INSTALL ]]; then
|
|
DRACUT_INSTALL=$(find_binary dracut-install)
|
|
fi
|
|
|
|
-if ! [[ $DRACUT_INSTALL ]] && [[ -x $dracutbasedir/install/dracut-install ]]; then
|
|
+if ! [[ $DRACUT_INSTALL ]] && [[ -x $dracutbasedir/dracut-install ]]; then
|
|
+ DRACUT_INSTALL=$dracutbasedir/dracut-install
|
|
+elif ! [[ $DRACUT_INSTALL ]] && [[ -x $dracutbasedir/install/dracut-install ]]; then
|
|
DRACUT_INSTALL=$dracutbasedir/install/dracut-install
|
|
fi
|
|
|